Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# MemoryExplorer Class Reference

Inherits direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | addButton
def | addChildCtrl
def | addItemCtrls
def | addLabel
def | addSelfCtrl
def | analyze
def | buildList
def | createDefaultCtrls
def | createRefreshBT
def | createScale
def | createScrolledFrame
def | getBTWidth
def | getNewButton
def | makeList
def | onChildButtonLClick
def | onChildButtonRClick
def | onScaleUpdate
def | onSelfButtonLClick
def | onSelfButtonRClick
def | refresh
def | resetCtrls
def | setTitle
def | updateBTWidth
def | updateDefaultBTWidth
## Public Attributes
| balloon
| btWidth
| buttons
| frame
| labels
| nodePath
| refreshBT
| render2dItem
| renderItem
| rootItem
| scaleCtrl

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | nodePath = `render`,
|  |  | kw
| ) |  |

## Member Function Documentation

def addButton | ( |  | self,
|  |  | vertexBytes,
|  |  | totalBytes,
|  |  | funcLClick,
|  |  | funcRClick,
|  |  | item
| ) |  |

def addChildCtrl | ( |  | self,
|  |  | item,
|  |  | totalBytes
| ) |  |

def addItemCtrls | ( |  | self,
|  |  | item
| ) |  |

def addLabel | ( |  | self,
|  |  | label
| ) |  |

def addSelfCtrl | ( |  | self,
|  |  | item,
|  |  | totalBytes
| ) |  |

def analyze | ( |  | self | ) |

def buildList | ( |  | self,
|  |  | parentItem
| ) |  |

def createDefaultCtrls | ( |  | self | ) |

def createRefreshBT | ( |  | self | ) |

def createScale | ( |  | self | ) |

def createScrolledFrame | ( |  | self | ) |

def getBTWidth | ( |  | self,
|  |  | vertexBytes,
|  |  | totalBytes
| ) |  |

def getNewButton | ( |  | self,
|  |  | width,
|  |  | ratio
| ) |  |

def makeList | ( |  | self | ) |

def onChildButtonLClick | ( |  | self,
|  |  | item
| ) |  |

def onChildButtonRClick | ( |  | self,
|  |  | item
| ) |  |

def onScaleUpdate | ( |  | self,
|  |  | arg
| ) |  |

def onSelfButtonLClick | ( |  | self,
|  |  | item
| ) |  |

def onSelfButtonRClick | ( |  | self,
|  |  | item
| ) |  |

def refresh | ( |  | self | ) |

def resetCtrls | ( |  | self | ) |

def setTitle | ( |  | self,
|  |  | parent,
|  |  | bytes
| ) |  |

def updateBTWidth | ( |  | self | ) |

def updateDefaultBTWidth | ( |  | self | ) |

## Member Data Documentation

balloon

btWidth

buttons

frame

labels

nodePath

refreshBT

render2dItem

renderItem

rootItem

scaleCtrl

All Classes Namespaces Functions Variables Enumerations Enumerator Properties